Package org.opencv.tracking

## Class TrackerGOTURN

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.tracking.Tracker
    - - org.opencv.tracking.TrackerGOTURN

-     public class TrackerGOTURN
      extends Tracker

  the GOTURN (Generic Object Tracking Using Regression Networks) tracker GOTURN (CITE: GOTURN) is kind of trackers based on Convolutional Neural Networks (CNN). While taking all advantages of CNN trackers, GOTURN is much faster due to offline training without online fine-tuning nature. GOTURN tracker addresses the problem of single target tracking: given a bounding box label of an object in the first frame of the video, we track that object through the rest of the video. NOTE: Current method of GOTURN does not handle occlusions; however, it is fairly robust to viewpoint changes, lighting changes, and deformations. Inputs of GOTURN are two RGB patches representing Target and Search patches resized to 227x227. Outputs of GOTURN are predicted bounding box coordinates, relative to Search patch coordinate system, in format X1,Y1,X2,Y2. Original paper is here: <http://davheld.github.io/GOTURN/GOTURN.pdf> As long as original authors implementation: <https://github.com/davheld/GOTURN#train-the-tracker> Implementation of training algorithm is placed in separately here due to 3d-party dependencies: <https://github.com/Auron-X/GOTURN_Training_Toolkit> GOTURN architecture goturn.prototxt and trained model goturn.caffemodel are accessible on opencv_extra GitHub repository.

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `TrackerGOTURN​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TrackerGOTURN` | `__fromPtr__​(long addr)` |
    `static TrackerGOTURN` | `create()` | Constructor
    `protected void` | `finalize()` |

    - ### Methods inherited from class org.opencv.tracking.Tracker

      `init, update`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TrackerGOTURN

          protected TrackerGOTURN​(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static TrackerGOTURN __fromPtr__​(long addr)

    - #### create

          public static TrackerGOTURN create()

      Constructor
      Returns:
        automatically generated

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Tracker`
      Throws:
        `java.lang.Throwable`